summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorGravatar Dirk Hohndel (Intel) <dhohndel@dhohndel-mac02.jf.intel.com>2015-06-02 10:40:28 -0700
committerGravatar Dirk Hohndel (Intel) <dhohndel@dhohndel-mac02.jf.intel.com>2015-06-02 10:40:28 -0700
commit3de62f5275ff5979a37ba8288d72301ad8a23ba9 (patch)
treefadf9f288c9e7c506a6a0e5c269437a4e06eccc1 /scripts
parente8f9a7c5026e10014cf525af39e305e9575febed (diff)
downloadsubsurface-3de62f5275ff5979a37ba8288d72301ad8a23ba9.tar.gz
Build script: build libssh on Mac
Signed-off-by: Dirk Hohndel (Intel) <dhohndel@dhohndel-mac02.jf.intel.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/build.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/scripts/build.sh b/scripts/build.sh
index 7908d687d..b5e942dbe 100755
--- a/scripts/build.sh
+++ b/scripts/build.sh
@@ -33,6 +33,34 @@ INSTALL_ROOT=$SRC/install-root
echo Building in $SRC, installing in $INSTALL_ROOT
+# if on a mac, let's build our own libssh2
+
+if [ $PLATFORM = Darwin ] ; then
+ echo Building libssh2
+ if [ ! -d libssh2 ] ; then
+ if [[ $1 = local ]] ; then
+ git clone $SRC/../libssh2 libssh2
+ else
+ git clone git://github.com/libssh2/libssh2
+ fi
+ fi
+ cd libssh2
+ mkdir -p build
+ cd build
+ cmake -DCMAKE_INSTALL_PREFIX=$INSTALL_ROOT -DCMAKE_BUILD_TYPE=Release \
+ -DBUILD_EXAMPLES=OFF -DBUILD_TESTING=OFF -DBUILD_SHARED_LIBS=ON \
+ ..
+ cmake --build . --target install
+
+ # in order for macdeployqt to do its job correctly, we need the full path in the dylib ID
+ cd $INSTALL_ROOT/lib
+ NAME=$(otool -L libssh2.dylib | grep -v : | head -1 | cut -f1 -d\ | tr -d '\t')
+ echo $NAME | grep / > /dev/null 2>&1
+ if [ $? -eq 1 ] ; then
+ install_name_tool -id "$INSTALL_ROOT/lib/$NAME" "$INSTALL_ROOT/lib/$NAME"
+ fi
+fi
+
# build libgit2
if [ ! -d libgit2 ] ; then